SimpleLabelRenderer (BioJava-1.5-beta API)
Keywords: org.biojava.bio.gui.sequence.SimpleLabelRenderer class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.gui.sequence
Class SimpleLabelRenderer

    java.lang.Object
      org.biojava.utils.AbstractChangeable
          org.biojava.bio.gui.sequence.SimpleLabelRenderer

All Implemented Interfaces:
  LabelRenderer, Changeable

    public class SimpleLabelRenderer

extends AbstractChangeable
implements LabelRenderer

Author:
  Matthew Pocock

Nested Class Summary

Nested classes/interfaces inherited from interface org.biojava.bio.gui.sequence.LabelRenderer
`LabelRenderer.RenderNothing`

Field Summary
`static ChangeType` | `LABEL`

Fields inherited from interface org.biojava.bio.gui.sequence.LabelRenderer
`RENDER_NOTHING`

Constructor Summary
`SimpleLabelRenderer()`

Method Summary
`String` | `getLabel()`
`protected Shape` | `getLabelGlyph(SequenceRenderContext src, FontRenderContext frc)`
`double` | `getMinimumWidth(SequenceRenderContext sp)` Retrieve the minimum space required to render the label.
`void` | `paint(Graphics2D g, SequenceRenderContext sp, int min, int max, SequenceRenderContext.Border side)` Render a label for the information for sp to g.
`void` | `setLabel(String label)`

Methods inherited from class org.biojava.utils.AbstractChangeable
`addChangeListener, addChangeListener, generateChangeSupport, getChangeSupport, hasListeners, hasListeners, isUnchanging, removeChangeListener, removeChangeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LABEL

    public static final ChangeType LABEL

Constructor Detail

### SimpleLabelRenderer

    public SimpleLabelRenderer()

Method Detail

### getLabelGlyph

    protected Shape getLabelGlyph(SequenceRenderContext src,
                                  FontRenderContext frc)

### setLabel

    public void setLabel(String label)
                  throws ChangeVetoException

  Throws:
    `ChangeVetoException`

### getLabel

    public String getLabel()

### getMinimumWidth

    public double getMinimumWidth(SequenceRenderContext sp)

  Description copied from interface: `LabelRenderer`
  Retrieve the minimum space required to render the label.

  Specified by:
    `getMinimumWidth` in interface `LabelRenderer`
  Parameters:
    `sp` - the SequencePanel to return info for
  Returns:
    the leading distance of the renderer for that sequence panel

### paint

    public void paint(Graphics2D g,
                      SequenceRenderContext sp,
                      int min,
                      int max,
                      SequenceRenderContext.Border side)

  Description copied from interface: `LabelRenderer`
  Render a label for the information for sp to g.

  Specified by:
    `paint` in interface `LabelRenderer`
  Parameters:
    `g` - the Graphics2D to render to
    `sp` - the SequencePanel that encapsulates the information to render
    `min` - the minimum symbol to render (inclusive)
    `max` - the maximum symbol to render (inclusive)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD